net.sourceforge.pmd.util.log

## Class ConsoleLogHandler

- java.lang.Object
- - java.util.logging.Handler
  - - net.sourceforge.pmd.util.log.ConsoleLogHandler

    public class ConsoleLogHandler
    extends Handler

Log to the console using a basic formatter.

Author:
  Wouter Zelle

### Constructor Summary

Constructors
Constructor and Description
`ConsoleLogHandler()`

### Method Summary

Methods
`void` `close()`
`void` `flush()`
`void` `publish(LogRecord logRecord)`

### Methods inherited from class java.util.logging.Handler

`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConsoleLogHandler

    public ConsoleLogHandler()

### Method Detail

#### publish

    public void publish(LogRecord logRecord)

Specified by:
  `publish` in class `Handler`

#### close

    public void close()
               throws SecurityException

Specified by:
  `close` in class `Handler`
Throws:
  `SecurityException`

#### flush

    public void flush()

Specified by:
  `flush` in class `Handler`